JUCE: juce::midi_ci::Message::Header Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::Message::Header Struct Reference
juce_midi_ci » ci

Holds fields that can be found at the beginning of every MIDI CI message. More...

`#include <juce_CIMessages.h>`

## Public Member Functions
auto | tie () const
bool | operator== (const Header &x) const
bool | operator!= (const Header &x) const

## Public Attributes
ChannelInGroup | deviceID {}
std::byte | category {}
std::byte | version {}
MUID | source = MUID::makeUnchecked (0)
MUID | destination = MUID::makeUnchecked (0)

## Detailed Description

Holds fields that can be found at the beginning of every MIDI CI message.

## Member Function Documentation

## ◆ tie()

auto juce::midi_ci::Message::Header::tie | ( |  | ) | const

References category, destination, deviceID, source, and version.

Referenced by operator==().

## ◆ operator==()

bool juce::midi_ci::Message::Header::operator== | ( | const Header & | x | ) | const

References tie(), and x.

Referenced by operator!=().

## ◆ operator!=()

bool juce::midi_ci::Message::Header::operator!= | ( | const Header & | x | ) | const

References operator==(), and x.

## Member Data Documentation

## ◆ deviceID

ChannelInGroup juce::midi_ci::Message::Header::deviceID {}

Referenced by tie().

## ◆ category

std::byte juce::midi_ci::Message::Header::category {}

Referenced by tie().

## ◆ version

std::byte juce::midi_ci::Message::Header::version {}

Referenced by tie().

## ◆ source

MUID juce::midi_ci::Message::Header::source = MUID::makeUnchecked (0)

Referenced by tie().

## ◆ destination

MUID juce::midi_ci::Message::Header::destination = MUID::makeUnchecked (0)

Referenced by tie().

The documentation for this struct was generated from the following file:

- juce_CIMessages.h